# kwh-cost

Calculates cost of electricity.

## How to use

```console
$ kwh-cost [OPTIONS] price wattage interval [interval ..]
```

Options are `-v, --version` to show program's version; and `-h, --help` to show usage of a program.

`price` is a price per kWh. `wattage` is how many Watts being consumed. `interval` is for how long.

`interval` is in seconds, but you can specify a unit. Units are the following:
`m|M` for minutes; `h|H` for hours; and `d|D` for days. There could be as many `interval`s passed as you need.

Here is an example:

```console
$ kwh-cost 4.02 120 30d 2h
```

Will give 348.29.

## Installation

### Manually

First run `make` to build a program, and then `make install` to copy executable in `/usr/local/bin/`. Later, use `make uninstall` to delete it, or just delete `/usr/local/bin/kwh-cost`.

A `LICENSE` file is also being copied to `/usr/local/share/licenses/kwh-cost/LICENSE`.

### For ArchLinux

You can take a [PKGBUILD](/Arav/kwh-cost/raw/branch/master/PKGBUILD) file and in a directory with it run `makepkg -i`.
